#ifndef _SPASS_SRTG_
#define _SPASS_SRTG_ 
#include "misc.h"
#include "memory.h"
#include "fol.h"
void srtg_QuickSort( intptr_t *, intptr_t *, intptr_t *);
void srtg_AQuickSort(intptr_t *, intptr_t *, intptr_t *, intptr_t (*)(POINTER));
void srtg_MergeSort( MEMORY, intptr_t *, intptr_t *, intptr_t *);
void srtg_AMergeSort(MEMORY, intptr_t *, intptr_t *, intptr_t *, intptr_t (*)(POINTER));
void srtg_AUMergeSort(MEMORY, intptr_t *, intptr_t *, intptr_t *, unsigned (*)(POINTER));
void srtg_AMergeSortWithState(MEMORY, intptr_t *, intptr_t *, intptr_t *, int (*)(POINTER, POINTER, POINTER), intptr_t *);
void srtg_AMergeSortCompare(MEMORY, intptr_t *, intptr_t *, intptr_t *, BOOL (*)(POINTER, POINTER));
#endif
